summaryrefslogtreecommitdiff
path: root/scripts/saveSample.sh.in
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2009-04-20 21:10:03 (GMT)
committerYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2009-04-20 21:10:03 (GMT)
commit1805f4e62d15259fdef1e363896b810db07b0a46 (patch)
tree182e163dc9a8c56168f4f8be897dd1643ea03d5b /scripts/saveSample.sh.in
parentaaaca05f1e34610ee25618402b6faf9f6102c627 (diff)
There's no longer any reason to require GNU awk:
- the only part that required it (socks proxy settings) is gone, - all remaining awk scripts are POSIXly correct (or should be). -------- diffstat follows -------- /trunk/configure | 5 2 3 0 ++--- /trunk/Makefile.in | 2 0 2 0 -- /trunk/scripts/build/kernel/linux.sh | 2 1 1 0 +- /trunk/scripts/build/internals.sh | 1 0 1 0 - /trunk/scripts/build/mpfr.sh | 2 1 1 0 +- /trunk/scripts/functions | 4 2 2 0 ++-- /trunk/scripts/saveSample.sh.in | 4 2 2 0 ++-- 7 files changed, 8 insertions(+), 12 deletions(-)
Diffstat (limited to 'scripts/saveSample.sh.in')
-rw-r--r--scripts/saveSample.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/saveSample.sh.in b/scripts/saveSample.sh.in
index b9bced4..6b3f205 100644
--- a/scripts/saveSample.sh.in
+++ b/scripts/saveSample.sh.in
@@ -78,8 +78,8 @@ fi
CT_DoAddFileToSample() {
source="$1"
dest="$2"
- inode_s=$(ls -i "${source}" |"${awk}" '{ print $1; }')
- inode_d=$(ls -i "${dest}" 2>/dev/null |"${awk}" '{ print $1; }' || true)
+ inode_s=$(ls -i "${source}" |awk '{ print $1; }')
+ inode_d=$(ls -i "${dest}" 2>/dev/null |awk '{ print $1; }' || true)
if [ "${inode_s}" != "${inode_d}" ]; then
cp "${source}" "${dest}"
fi